//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
//
// UserWin satellite library | Author: Sergei Y.Kitáev
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
using System;
using System.Reflection;

using CommonHelpers;

namespace UserWin {

//**************************************************************************************************
partial class UXDispatcher {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

public static string RethrownExceptionMessageFmt
{
#region
   get
   {
      string rcString = HCommonHlpResources.TryGetString( MethodInfo.GetCurrentMethod() );
      if ( rcString != null ) return rcString;
      switch ( HInCodeSupportedLanguageSelector.UILanguage )
      {
#endregion
   case HInCodeSupportedLanguage.English: return
      "Exception of type \"{0}\" was rethrown after its interception in main window thread.";
   case HInCodeSupportedLanguage.Russian: return
      "Исключение типа \"{0}\" было повторно сгенерировано после его перехвата в главном "+
      "оконном потоке.";
   //case HInCodeSupportedLanguage.Lang_X1: return "";
   //case HInCodeSupportedLanguage.Lang_X2: return "";
#region
      }
      throw HAssertionFailure.DEAD_BRANCH();
   }
#endregion
}

//==================================================================================================
//--------------------------------------------------------------------------------------------------
/*
public static string 
{
#region
   get
   {
      string rcString = HCommonHlpResources.TryGetString( MethodInfo.GetCurrentMethod() );
      if ( rcString != null ) return rcString;
      switch ( HInCodeSupportedLanguageSelector.UILanguage )
      {
#endregion
   case HInCodeSupportedLanguage.English: return "";
   case HInCodeSupportedLanguage.Russian: return "";
   //case HInCodeSupportedLanguage.Lang_X1: return
   //case HInCodeSupportedLanguage.Lang_X2: return
#region
      }
      throw HAssertionFailure.DEAD_BRANCH();
   }
#endregion
}
*/
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // UXDispatcher
//**************************************************************************************************

} // UserWin
